sidux.com
Menu

News

Give back
Last 3 Contributions
30-11-2008 20.00
25-11-2008 100.00
25-11-2008 20.00

Donate


Sponsor
hetzner.de

Languages
Preferred language:



Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
muchan
Post subject:   PostPosted: May 22, 2008 - 10:05 PM



Joined: Aug 24, 2007
Posts: 472
Location: Ljubljana
Status: Offline
sux is not sudo.
you use like this
$ sux
password:
# hp-setup
 
 View user's profile Send private message  
Reply with quote Back to top
maiemi
Post subject:   PostPosted: May 23, 2008 - 06:10 AM



Joined: Jan 09, 2007
Posts: 196
Location: Germany (West)
Hi piper,

I'm sorry, until now it isn't solved.

When I wanted to install cups, I got a message that the package cupsys could not be found.
Now I installed cups in version 1.3.7 again and the last, I have to do, is to find the HP packages
(hplip 2.7.10-5 and hpijs 2.7.10+2.7.10-5) . These were the versions before the last d-u I did and they were working well with the installed cups version.

I hope, you will give me a little more time, there are still some things I have to learn about linux, especially sidux.
The last 20 years I had to work with a MS operating system Wink

This is a good example(for me) to learn something about the file structure and where the different functions are stored.

Meanwhile I 've learned , what would better be backed up before doing a d-u and before to do a "apt-get" with "--purge". Sometimes you'll need the older stuff again...

edit:

dear all,

shame on me, right now I found the chapter about apt / hold / downgrade at the sidux manual. With this guide I should be able to solve the problem.
When I am at home again.
Excuse me, stealing your time....

@piper
now I know, what to to and maybe I need some hints, but this will be possible at the IRC. When it is done, I will set the thread to "solved".

_________________
sidux: of course, it works, and look, how fast !
others: of course, it doesn't work, but look, how fast ...
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
HarzG
Post subject: HPLIP Tools and CUPS  PostPosted: May 23, 2008 - 06:48 AM



Joined: Dec 04, 2006
Posts: 177
Location: NL
Try those steps, maybe your problem can be solved.

1. enable/uncomment testing sources in /etc/apt/sources.list
(edit as root and delete the #) so that it reads
deb http://ftp.nl.debian.org/debian/ testing main contrib non-free
2. apt-get remove --purge cupsys hplip hpijs hpijs-data hplip-data hplip-gui hplip-doc cupsys-driver-gutenprint
3. apt-get update
4. apt-get install cupsys cupsys-driver-gutenprint testing/hplip testing/hpijs testing/hpijs-data testing/hplip-data testing/hplip-gui testing/hplip-doc
(you get a message that the testing-packages will be downgraded)
5. replace the # in sources.list before the testing line (= undo step 1.)

maeimi
Ich konnte es selber nicht testen, weil ich keinen HP Drucker habe.
Kannst du HP nach der obigen Installation in KDE kontrollieren anstatt in XFCE4?
Oder, wenn in XFCE - hast Du in XFCE die in settings->sessions and startup->advanced die "launch KDE services on startup" auf an?

_________________
Sorrie abaut mai inglisch. Maebi ju oll ken tietsch mie better.
 
 View user's profile Send private message  
Reply with quote Back to top
maiemi
Post subject: HPLIP Tools and CUPS  PostPosted: May 23, 2008 - 07:19 AM



Joined: Jan 09, 2007
Posts: 196
Location: Germany (West)
@Hi HarzG

thank you for answering.
Right now, I can't configure the printers neither in xfce4 nor in KDE.
This evening, I will do your posted steps above (and as I wrote, I am glad that I have found the "apt - chapter" in the sidux manual Wink)
I will run the code in init 3.

After this is done, I change in runlevel 5 (or reboot into runlevel 5) and try to add and configure my (lost) printers again.

Further I think, it is no matter, using KDE or xfce4, the issue is that cups (in iceweasel / konqueror) seems to hang after choosing a site to set up or add a printer or to control the spooler. Only the manual can be opened successful.

If I am right, set on the kde-services in xfce4 will be for a faster start of kde programs. The same setting can be done for gnome services (if needed). If the services are off, the KDE programs will start a little slower, that's all in my mind. But I have set the KDE services even on.

As soon as I can, I will write my efforts results. (But therefore I have to wait until after work.)

_________________
sidux: of course, it works, and look, how fast !
others: of course, it doesn't work, but look, how fast ...
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
piper
Post subject: RE: HPLIP Tools and CUPS  PostPosted: May 23, 2008 - 06:09 PM
Team Member


Joined: Nov 27, 2006
Posts: 1962
Location: underworld
Status: Offline
Quote:

I hope, you will give me a little more time, there are still some things I have to learn about linux, especially sidux.
The last 20 years I had to work with a MS operating system


That is not a problem at all Wink I came from that same situation, and I still do windows support on the side.

_________________
.... _
... (0)>
... / / \
.. / / . )
.. V_/_sidux powered
 
 View user's profile Send private message Send e-mail Visit poster's website  
Reply with quote Back to top
maiemi
Post subject: RE: HPLIP Tools and CUPS  PostPosted: May 24, 2008 - 08:25 PM



Joined: Jan 09, 2007
Posts: 196
Location: Germany (West)
so, now I 've set up my machine again and complete.
(New installation and a d-u after that)
The printers are working very well and all is working again.
I don't know, how I blowed up my sidux and I needed round about 2 hours to set up my machine, again, but I think, it would take more than 2 hours to find the bug inside my system....

Thank you all for helping and be sure:
I've learned a lot at this time Wink

@piper:
I 've marked the thread "solved"

_________________
sidux: of course, it works, and look, how fast !
others: of course, it doesn't work, but look, how fast ...
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
mumpf
Post subject:   PostPosted: Jun 04, 2008 - 05:01 PM



Joined: Apr 28, 2008
Posts: 13

Status: Offline
Hi HarzG

d-u now works again with hplip and cups sid. I have removed hplip and cups according to your lines and I have reinstalled cups (sid), now my HP LJ 1010 works fine.
 
 View user's profile Send private message  
Reply with quote Back to top
maiemi
Post subject:   PostPosted: Jun 07, 2008 - 05:44 PM



Joined: Jan 09, 2007
Posts: 196
Location: Germany (West)
I am sorry to reopen the thread, but after the last d-u where the hplip-stuff was changed, the same issue is happened.
I reinstalled cups and hplip and the gutenprint drivers (with apt-get --reinstall):
The result is: with my network printer (connected directly to my router with network cable) printing is possible, but
with my USB printer (HP PSC2410) printing is not possible. (before running the d-u printing was possible)

Opening cups in iceweasel, there is no way to change any settings and no way to choose another site than the manual/help site. choosing another site, seems that the browser is hanging up while trying loading the selected site.

I apologize for any inconvenience, that I won't set up my machine again. It was the last step, when I had that issue the last time...

so what can I do ?

edit:
I can't believe it.
Starting the HP Toolbox, I can configure the printers, but not in CUPS.

edit and close:
OK, I am not able to configure my Printers with CUPS, but with the HP Toolbox and now they are working well....Don't know, what happened.... It's closed now....

_________________
sidux: of course, it works, and look, how fast !
others: of course, it doesn't work, but look, how fast ...
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
Ardarandir
Post subject:   PostPosted: Jun 22, 2008 - 12:20 PM



Joined: Sep 01, 2007
Posts: 8
Location: Heidelberg
Status: Offline
I had a similar problem since last d-u some days ago, even http://localhost:631/ didnt come up.
just starting /usr/sbin/cupsd (as root) solved it for me. sounds stupid, but one shouldnt forget to try that out if printers arent responding anymore.
somehow cups was just no longer started automatically at bootup.

arda
 
 View user's profile Send private message AIM Address MSN Messenger ICQ Number 
Reply with quote Back to top
slam
Post subject:   PostPosted: Jun 22, 2008 - 05:36 PM
Team Member


Joined: Nov 24, 2006
Posts: 2009
Location: w3
Status: Offline
You should always use
Code:
/etc/init.d/cupsys restart

if you are in need to start Cups.
Greetings,
Chris

_________________
64bit stuff for sidux
development is life - code.zikula.org
an operating system must operate - sidux.com
 
 View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number 
Reply with quote Back to top
hubi
Post subject:   PostPosted: Jun 22, 2008 - 05:43 PM



Joined: Nov 30, 2006
Posts: 3466
Location: Budapest
Status: Offline
slam,

with version 1.3.7-6 cupsys is renamed to cups and the the syntax of the service command is now
Code:
/etc/init.d/cups <command>
This is done automatically during upgrade, but as user one has to be aware of that. The manual is already updated (and online, I suppose).

Here the details:
Code:
$ apt-cache show cupsys
Package: cupsys
Priority: optional
Section: net
Installed-Size: 56
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Architecture: all
Source: cups
Version: 1.3.7-7
Depends: cups
Filename: pool/main/c/cups/cupsys_1.3.7-7_all.deb
Size: 48166
MD5sum: cd3a652dfef4af5bd97118acabaa2a27
SHA1: 4bb2a05de002a523774cd1246ec3409cc4a2246e
SHA256: a55bc9f86d4a83dd4972a9fb56948481985958252ba9183251fafbb2ea1eba63
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

$ apt-cache show cups
Priority: optional
Section: net
Installed-Size: 9544
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Architecture: i386
Version: 1.3.7-7
Replaces: cupsys (<< 1.3.7-6), cupsys-bsd (<< 1.3.7-5)
Provides: cupsys
Depends: libavahi-compat-libdnssd1 (>= 0.6.16), libc6 (>= 2.7-1), libcups2 (>= 1.3.7), libcupsimage2 (>= 1.3.0), libdbus-1-3 (>= 1.0.2), libgnutls26 (>= 2.2.0-0), libkrb53 (>= 1.6.dfsg.2), libldap-2.4-2 (>= 2.4.7), libpam0g (>= 0.99.7.1), libpaper1, libslp1, debconf (>= 1.2.9) | debconf-2.0, poppler-utils | xpdf-utils, perl-modules, procps, ghostscript, lsb-base (>= 3), cups-common, ssl-cert (>= 1.0.11), adduser
Recommends: cups-client, smbclient (>= 3.0.9), foomatic-filters, avahi-utils
Suggests: cups-bsd, cups-driver-gutenprint, foomatic-filters-ppds, hplip, xpdf-korean | xpdf-japanese | xpdf-chinese-traditional | xpdf-chinese-simplified, cups-pdf
Conflicts: cupsys (<< 1.3.7-6), cupsys-bsd (<< 1.3.7-5)
Filename: pool/main/c/cups/cups_1.3.7-7_i386.deb
Size: 1929446
MD5sum: 1c808cad445c4c643517379750e66879
SHA1: 2a3573689550a1dcde06a0eb38d4f361f1a5f461
SHA256: 276fceb0871d7e6fdb2987521e9bf56535ba38f3caff4c4ab7dbbbfed41bbc44
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.


hubi

_________________
Bonitas stultitiaque sodales sunt.
 
 View user's profile Send private message  
Reply with quote Back to top
Ardarandir
Post subject:   PostPosted: Jun 24, 2008 - 07:32 AM



Joined: Sep 01, 2007
Posts: 8
Location: Heidelberg
Status: Offline
both /etc/init.d/cupsys AND /etc/init.d/cups do not exist on my system.
maybe thats why cupsd isnt starting at boottime anymore?

i only got something called: /etc/init.d/cups.dpkg-new

i'll rename that one, lets see if that solves m problem. otherwise i will try purging and reinstalling as soon as i got some time for that.

greetz,
arda
 
 View user's profile Send private message AIM Address MSN Messenger ICQ Number 
Reply with quote Back to top
jackren
Post subject:   PostPosted: Jul 11, 2008 - 09:31 PM



Joined: Jan 12, 2007
Posts: 73

Status: Offline
Ardarandir wrote:
both /etc/init.d/cupsys AND /etc/init.d/cups do not exist on my system.
maybe thats why cupsd isnt starting at boottime anymore?

i only got something called: /etc/init.d/cups.dpkg-new

i'll rename that one, lets see if that solves m problem. otherwise i will try purging and reinstalling as soon as i got some time for that.

greetz,
arda


I have exactly the same problem, ardarandir.

both /etc/init.d/cupsys AND /etc/init.d/cups do not exist on my system.

I already reinstalled everything cups related , but that didn't work.
Did you already fix this problem ,ardarandir?
 
 View user's profile Send private message  
Reply with quote Back to top
piper
Post subject:   PostPosted: Jul 12, 2008 - 02:17 AM
Team Member


Joined: Nov 27, 2006
Posts: 1962
Location: underworld
Status: Offline
You could maybe try this, also make sure you have lp & lpadmin in groups under your username checked, either by cli or kuser
Code:
#! /bin/sh
### BEGIN INIT INFO
# Provides:          cups
# Required-Start:    $syslog
# Required-Stop:     $syslog
# Should-Start:      $network avahi
# Should-Stop:       $network
# X-Start-Before:    samba
# X-Stop-After:      samba
# Default-Start:     2 3 4 5
# Default-Stop:      1
# Short-Description: CUPS Printing spooler and server
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/cupsd
NAME=cupsd
PIDFILE=/var/run/cups/$NAME.pid
DESC="Common Unix Printing System"

unset TMPDIR

test -x $DAEMON || exit 0

if [ -r /etc/default/cups ]; then
  . /etc/default/cups
fi

. /lib/lsb/init-functions

# Get the timezone set.
if [ -z "$TZ" -a -e /etc/timezone ]; then
    TZ=`cat /etc/timezone`
    export TZ
fi

restart_xprint() {
    if [ -n "$success" ] && [ -x /etc/init.d/xprint ]; then
        invoke-rc.d xprint force-reload || true
    fi
}

case "$1" in
  start)
   log_begin_msg "Starting $DESC: $NAME"
   chown root:lpadmin /usr/share/ppd/custom 2>/dev/null || true
   chmod 3775 /usr/share/ppd/custom 2>/dev/null || true

   mkdir -p `dirname "$PIDFILE"`
   if [ "$LOAD_LP_MODULE" = "yes" -a -f /usr/lib/cups/backend/parallel \
             -a -f /proc/devices -a -f /proc/modules -a -x /sbin/modprobe ]; then
     modprobe -q lp || true
     modprobe -q ppdev || true
   fi

   start-stop-daemon --start --quiet --oknodo --pidfile "$PIDFILE" --exec $DAEMON && success=1

   log_end_msg $?
   restart_xprint
   ;;
  stop)
   log_begin_msg "Stopping $DESC: $NAME"
   start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --name $NAME && success=1
   log_end_msg $?
   restart_xprint
   ;;
  reload|force-reload)
       log_begin_msg "Reloading $DESC: $NAME"
       start-stop-daemon --stop --quiet --pidfile $PIDFILE --name $NAME --signal 1 && success=1
       log_end_msg $?
   restart_xprint
       ;;
  restart)
   log_begin_msg "Restarting $DESC: $NAME"
   if start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --name $NAME; then
      start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec $DAEMON && success=1
   fi
   log_end_msg $?
   restart_xprint
   ;;
  status)
   echo -n "Status of $DESC: "
   if [ ! -r "$PIDFILE" ]; then
      echo "$NAME is not running."
      exit 3
   fi
   if read pid < "$PIDFILE" && ps -p "$pid" > /dev/null 2>&1; then
      echo "$NAME is running."
      exit 0
   else
      echo "$NAME is not running but $PIDFILE exists."
      exit 1
   fi
   ;;
  *)
   N=/etc/init.d/${0##*/}
   echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
   exit 1
   ;;
esac

exit 0


save that as cups (shell script) in /etc/init.d

_________________
.... _
... (0)>
... / / \
.. / / . )
.. V_/_sidux powered
 
 View user's profile Send private message Send e-mail Visit poster's website  
Reply with quote Back to top
jackren
Post subject:   PostPosted: Jul 12, 2008 - 07:50 AM



Joined: Jan 12, 2007
Posts: 73

Status: Offline
piper,

lp and lpadmin were in groups under my username and Im saved script as cups.sh in /etc/init.d , but after reboot cups still not running.

Only way to get cups running is ; /usr/sbin/cupsd
but this doesn,t keep cupsd up after reboot.
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2007 The PNphpBB Group
Credits
 
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2006-2008 by sidux e.V., 10407 Berlin, Kniprodestr. 104. sidux e.V. is a Berlin, Germany based non-profit foundation. Consult Impressum and Legal Terms for details. sidux™ is Free Software released under the GNU/GPL license and other compatible licenses.
powered by Zikula & Zafenio